import { b as Bot } from '../../index-37f98e56';
import { CustomFields } from 'rss-parser';
import 'winston';
import 'mirai-ts';
import 'commander';
import 'mongoose';
import 'events';
import 'net';
import 'koa';
import '@octokit/webhooks';
import 'node-schedule';

interface RssConfig {
    name: string;
    url: string;
    cron: string;
    customFields: CustomFields<string[], string[]>;
    content: string[];
    target: object;
}
declare type RssOptions = RssConfig[];
declare function export_default(ctx: Bot, options: RssOptions): void;

export { RssOptions, export_default as default };
